jack_property_t Struct Reference
Metadata API.

`#include <metadata.h>`

## Public Attributes

const char * | key
const char * | data
const char * | type

## Detailed Description

A single property (key:value pair).

Definition at line 29 of file JackMetadata.h.

## Member Data Documentation

const char * jack_property_t::key

The key of this property (URI string).

Definition at line 30 of file JackMetadata.h.

const char * jack_property_t::data

The property value (null-terminated string).

Definition at line 31 of file JackMetadata.h.

const char * jack_property_t::type

Type of data, either a MIME type or URI.

If type is NULL or empty, the data is assumed to be a UTF-8 encoded string (text/plain). The data is a null-terminated string regardless of type, so values can always be copied, but clients should not try to interpret values of an unknown type.

Example values:

- image/png;base64 (base64 encoded PNG image)
- http://www.w3.org/2001/XMLSchema#int (integer)

Official types are preferred, but clients may use any syntactically valid MIME type (which start with a type and slash, like "text/..."). If a URI type is used, it must be a complete absolute URI (which start with a scheme and colon, like "http:").

Definition at line 32 of file JackMetadata.h.

The documentation for this struct was generated from the following files:

- JackMetadata.h
- metadata.h